<?php

namespace lucidpen;

if (!defined('ABSPATH'))
    exit;

class AddonLoader {
    public function __construct() {
        // Register the loader to be called on WordPress init
        add_action('init', [$this, 'load_active_addons'], 20);
    }

    public function load_active_addons() {
        do_action('lucidpen_before_addons_load');

        // Fire global hook for add-ons to attach
        do_action('lucidpen_addons_loaded');

        do_action('lucidpen_after_addons_load');
    }
}
